aboutsummaryrefslogtreecommitdiffstats
path: root/community/xcalc/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'community/xcalc/APKBUILD')
-rw-r--r--community/xcalc/APKBUILD46
1 files changed, 46 insertions, 0 deletions
diff --git a/community/xcalc/APKBUILD b/community/xcalc/APKBUILD
new file mode 100644
index 0000000000..2448c026a4
--- /dev/null
+++ b/community/xcalc/APKBUILD
@@ -0,0 +1,46 @@
+# Contributor: ScrumpyJack <scrumpyjack@st.ilet.to>
+# Maintainer: ScrumpyJack <scrumpyjack@st.ilet.to>
+pkgname=xcalc
+pkgver=1.0.6
+pkgrel=0
+pkgdesc="Calculator for the X Window System"
+url="http://www.x.org"
+arch="all"
+license="MIT"
+depends=""
+depends_dev=""
+makedepends="libx11-dev libxaw-dev libxt-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://www.x.org/releases/individual/app/${pkgname}-${pkgver}.tar.bz2"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --datarootdir=/usr/share \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="397584a68bfe6b02adff16e67f8fe5dd xcalc-1.0.6.tar.bz2"
+sha256sums="2f73c7160c09dc32586ea07daa408ac897c0a16eaa98cad9f9e4ee98cd9057d8 xcalc-1.0.6.tar.bz2"
+sha512sums="61b921b6a3fefea20bd9e7ad0b308f589f2aeaafe9316df94cc739a005be6c180bdafc981b8957230f46c9fc1c0e266829a55b473ae26b1377c705796175c908 xcalc-1.0.6.tar.bz2"